import React, { useRef, useState, useEffect } from 'react';
import { IconButton } from 'react-file-utils';
export var Dropdown = function (_a) {
    var children = _a.children;
    var _b = useState(false), isOpen = _b[0], setIsOpen = _b[1];
    var dropdownBoxReference = useRef(null);
    var changeMenuVisibility = function (_a) {
        var _b;
        var target = _a.target;
        if ((_b = dropdownBoxReference.current) === null || _b === void 0 ? void 0 : _b.contains(target))
            return;
        setIsOpen(function (pv) { return !pv; });
    };
    useEffect(function () {
        if (!isOpen)
            return;
        document.addEventListener('click', changeMenuVisibility);
        return function () { return document.removeEventListener('click', changeMenuVisibility); };
    }, [isOpen]);
    return (React.createElement("div", { className: "raf-dropdown" },
        React.createElement(IconButton, { onClick: changeMenuVisibility },
            React.createElement("svg", { className: "raf-dropdown__button", width: "12", height: "8", viewBox: "0 0 12 8", xmlns: "http://www.w3.org/2000/svg" },
                React.createElement("path", { d: "M1.41 0L6 4.77 10.59 0 12 1.469l-6 6.25-6-6.25z", fill: "#A0B2B8", fillRule: "evenodd" }))),
        isOpen && (React.createElement("div", { className: "raf-dropdown__box", ref: dropdownBoxReference }, children))));
};
//# sourceMappingURL=Dropdown.js.map