import React, { useRef, useState } from 'react';
// @ts-expect-error
import NimbleEmojiPicker from 'emoji-mart/dist/components/picker/nimble-picker.js';
import defaultEmojiData from '../utils/emojiData';
import { useTranslationContext } from '../context';
import { useOnClickOutside } from '../hooks/useOnClickOutside';
import { EmojiIcon } from './Icons';
export var EmojiPicker = function (_a) {
    var _b = _a.emojiData, emojiData = _b === void 0 ? defaultEmojiData : _b, onSelect = _a.onSelect;
    var t = useTranslationContext().t;
    var _c = useState(false), open = _c[0], setOpen = _c[1];
    var emojiPicker = useRef(null);
    useOnClickOutside(emojiPicker, function () { return setOpen(false); }, open);
    return (React.createElement("div", { className: "raf-emoji-picker" },
        open && (React.createElement("div", { "data-testid": "picker-wrapper", className: "raf-emoji-picker__container", ref: emojiPicker },
            React.createElement(NimbleEmojiPicker, { emoji: "point_up", title: t('Pick your emoji'), data: emojiData, onSelect: onSelect }))),
        React.createElement("div", { role: "button", onClick: function () { return setOpen(true); }, className: "raf-emoji-picker__button" },
            React.createElement(EmojiIcon, null))));
};
//# sourceMappingURL=EmojiPicker.js.map